<?php

namespace EventPortal\Http\Controllers\Admin\Event\Approval;

use EventPortal\Contracts\Event;
use EventPortal\Domain\Form\Facades\Form;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;

class SubmitForApprovalController extends Controller
{
    /**
     * @param \EventPortal\Domain\Event\Models\Event $event
     */
    public function __invoke(Request $request, Event $event): RedirectResponse
    {
        // This is currently going to be hard coded to a particular approval process but this should come from
        // the event itself
        Form::make('event-approval')
            ->model($event)
            ->validate($request->all())
            ->handle($request->all());

        return redirect()->route('admin.event.index', $event->id);
    }
}
